<?php
/**
 * @author Robin 'codeFareith' von den Bergen <robinvonberg@gmx.de>
 * @copyright (c) 2018 by Robin von den Bergen
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @version 1.0.0
 *
 * @link https://github.com/codeFareith/cf_google_authenticator
 * @see https://www.fareith.de
 * @see https://typo3.org
 */

namespace CodeFareith\CfGoogleAuthenticator\Service;

use CodeFareith\CfGoogleAuthenticator\Domain\Immutable\AuthenticationSecret;

/**
 * QR code image generator interface
 *
 * This interface defines the base methods for any QR code image generator service.
 *
 * Interface QrImageGeneratorInterface
 * @package CodeFareith\CfGoogleAuthenticator\Service
 */
interface QrCodeGeneratorInterface
{
    public function generateUri(AuthenticationSecret $secretImmutable): string;
}
